# Interface EventAllocation

#### Hierarchy

- EventAllocation

- Defined in codec/lib/abi-data/allocate/types.ts:135

#####
Index

### Properties

abi
allocationMode
anonymous
arguments
contextHash
definedIn?
id?

## Properties

### abi

abi: EventEntry

- Defined in codec/lib/abi-data/allocate/types.ts:136

### allocationMode

allocationMode: DecodingMode

- Defined in codec/lib/abi-data/allocate/types.ts:142

### anonymous

anonymous: boolean

- Defined in codec/lib/abi-data/allocate/types.ts:140

### arguments

arguments: EventArgumentAllocation[]

- Defined in codec/lib/abi-data/allocate/types.ts:141

### contextHash

contextHash: string

- Defined in codec/lib/abi-data/allocate/types.ts:137

### `Optional` definedIn

definedIn?: ContractType

- Defined in codec/lib/abi-data/allocate/types.ts:138

### `Optional` id

id?: string

- Defined in codec/lib/abi-data/allocate/types.ts:139

Generated using TypeDoc